services:

  quotas:
    # ports:
    #   - 8084:3000
    image: quotaskaz
    container_name: ${quotasServName}
    # restart: ${restartPolicy}
    depends_on:
      - db
    networks:
      - quotasNet
    links:
      - db
    env_file:
      - ../../secret/env-${quotasDBName}
    # labels:
    #   - "traefik.enable=true"
    #   - "traefik.http.routers.${quotasServName}.rule=Host(`${quotaHost}.${domain}`)"


  db:
    image: mariadb:10.5
    container_name: ${quotasDBName}
    restart: ${restartPolicy}
    networks:
      - quotasNet
    env_file:
      - ../../secret/env-${quotasDBName}
    volumes:
      - ./initdb.d:/docker-entrypoint-initdb.d:ro
      - quotasDB:/var/lib/mysql
      - /home/sauve/:/svg/
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro

volumes:
  quotasDB:

networks:
  quotasNet:
    external: true
    name: quotasNet
